
    htmlp_parse = require '../../htmlp_parse'
    assert = require 'assert'
    _ = require 'underscore-contrib'
  

    ### Case 1 ###
    
    case_1_actual = htmlp_parse '<!DOCTYPE html><html lang="en"><head><meta charset="UTF-8"><title>My LP File</title></head><body><script type="text/coffeescript" data-htmlp="x.coffee">x = 42</script><code data-htmlp="x.coffee">console.log x is 42</code><code data-htmlp="y.coffee">y = false</code></body></html>'
    
    case_1_expected = {
      "x.coffee" : "x = 42\nconsole.log x is 42"
      "y.coffee" : "y = false"
    }
    
    assert _.isEqual( case_1_actual, case_1_expected ), 'Case 1 failure'

    ### Case 2 ###

    case_2_actual = htmlp_parse '<!DOCTYPE html><html lang="en"><head><meta charset="UTF-8"><title>My LP File</title></head><body><h1>No file exports here :)</h1></body></html>'

    case_2_expected = {}

    assert _.isEqual( case_1_actual, case_1_expected ), 'Case 2 failure'
  

    console.log "all tests have PASSED :)"
  